Skocz do zawartości


 

Zdjęcie

Aktualizacja wersji PHP z 5.5.38 do wersji 5.6

Aktualizacja wersji PHP z 5.5.38 do wersji 5.6

  • Proszę się zalogować aby odpowiedzieć
9 odpowiedzi na ten temat

Aktualizacja wersji PHP z 5.5.38 do wersji 5.6

#1 krzysztof_kf

krzysztof_kf

    Czasami na forum

  • Użytkownicy
  • 45 postów

Napisany 18 listopad 2017 - 17:02

Witam wszystkich,

posiada serwer dedykowany, na którym jest zainstalowany directadmin. Chciałbym zaktualizować wersje PHP z wersji 5.5.38 na wersję 5.6. Jak to zrobić? jest jakiś samouczek. Z góry dziękuje.


Edytowany przez krzysztof_kf, 18 listopad 2017 - 17:16.

  • 0

#2 xdit

xdit

    Nowy użytkownik

  • Użytkownicy
  • 11 postów

Napisany 18 listopad 2017 - 20:38

Jeżeli jest to cusombuild 2.0 to:

 

cd /usr/local/directadmin/custombuild/

./build set php1_release 5.6

./build php n


  • 0

#3 krzysztof_kf

krzysztof_kf

    Czasami na forum

  • Użytkownicy
  • 45 postów

Napisany 18 listopad 2017 - 21:22

Wpisałem powyższe komendy po kolei, ale wyskoczył taki komunikat

 

Wrong php5_ver value set in /usr/local/directadmin/custombuild/options.conf.
 

  • 0

#4 xdit

xdit

    Nowy użytkownik

  • Użytkownicy
  • 11 postów

Napisany 18 listopad 2017 - 23:05

wiec jest tam stary custombuild,  ../build set php5_ver 5.6 ; ./build php n

 


Edytowany przez xdit, 18 listopad 2017 - 23:45.

  • 0

#5 krzysztof_kf

krzysztof_kf

    Czasami na forum

  • Użytkownicy
  • 45 postów

Napisany 19 listopad 2017 - 13:00

też nie działa.


  • 0

#6 xdit

xdit

    Nowy użytkownik

  • Użytkownicy
  • 11 postów

Napisany 19 listopad 2017 - 13:03

Nie wiem jaką dokładnie wersje tam masz ale coś mi się wydaje że pozostaje jedynie aktualizacja do cb2 https://help.directa...item.php?id=555 ewentualnie próbuj samodzielnie skompilować php.


  • 0

#7 Marek607

Marek607

    Weteran WHT

  • WHT+
  • PipPipPipPipPipPipPipPip
  • 1878 postów
  • Firma:TaniDedyk.pl
  • Imię:Marek
  • Nazwisko:Drzewiecki

Napisany 19 listopad 2017 - 14:07

dla custombuild 1.2 najwyższa ofcjalnie wspierana wersja php to 5.5 - można skompilować tam wyższe wersje php , ale trzeba ciut pokombinować.


  • 0

#8 krzysztof_kf

krzysztof_kf

    Czasami na forum

  • Użytkownicy
  • 45 postów

Napisany 19 listopad 2017 - 16:15

Próbowałem, ale 

/usr/local/directadmin# mv custombuild_1.x
mv: brakujący plik docelowy po `custombuild_1.x'
Spróbuj `mv --help' dla uzyskania informacji.
 

  • 0

#9 xdit

xdit

    Nowy użytkownik

  • Użytkownicy
  • 11 postów

Napisany 19 listopad 2017 - 16:23

Lepiej będzie dla Ciebie jeżeli to komuś zlecisz, z tego co widzę nawet nie przeczytałeś dokładnie tego tutoriala.


  • 0

#10 krzysztof_kf

krzysztof_kf

    Czasami na forum

  • Użytkownicy
  • 45 postów

Napisany 19 listopad 2017 - 16:25

Jesteście wielcy. Poszło.


  • 0





0 użytkowników czyta ten temat

0 użytkowników, 0 gości, 0 anonimowych użytkowników